For the complete documentation index, see llms.txt. This page is also available as Markdown.

Areas

Areas object

Get areas

get
/v1/areas

This operation returns a list of areas.

Note: This operation needs Authentication and supports the following JSON:API features:

  • Relationships - tables using include query parameter.

  • Sparse fieldsets - supports all fields of area and related resources with fields query parameter.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Query parameters
page[size]integer · int32 · min: 1 · max: 1000Optional

The number of resources to return in a single response.

page[before]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
page[after]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
Responses
200

Successful response with areas data in JSON:API format.

application/vnd.api+json
get/v1/areas
GET /pos/v1/areas HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "31b14937-2524-491f-b0a0-dc0a7393ff33",
      "type": "areas",
      "attributes": {
        "name": "Terrace",
        "isActive": true,
        "createdAt": "2024-10-24T08:44:45.409Z",
        "updatedAt": "2024-10-24T08:44:45.409Z"
      },
      "relationships": {
        "tables": {
          "data": [
            {
              "id": "22426614-316e-4654-b567-60d781f9ae37",
              "type": "tables"
            }
          ]
        }
      }
    }
  ],
  "links": {
    "prev": "https://api.mews-demo.com/pos/v1/areas?page%5Bbefore%5D=NA&page%5Bsize%5D=1",
    "next": "https://api.mews-demo.com/pos/v1/areas?page%5Bafter%5D=NA&page%5Bsize%5D=1"
  }
}

Last updated

Was this helpful?